Create an encrypted record
curl --request POST \
--url https://api.airctrl.dev/v1/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"tags": [
"<string>"
],
"ciphertext": "<string>",
"cipherMeta": {},
"wrappedDek": {},
"projectWrappedDek": {},
"secretDueAt": "2023-11-07T05:31:56Z",
"rotationIntervalDays": 2
}
'import requests
url = "https://api.airctrl.dev/v1/records"
payload = {
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"tags": ["<string>"],
"ciphertext": "<string>",
"cipherMeta": {},
"wrappedDek": {},
"projectWrappedDek": {},
"secretDueAt": "2023-11-07T05:31:56Z",
"rotationIntervalDays": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
tags: ['<string>'],
ciphertext: '<string>',
cipherMeta: {},
wrappedDek: {},
projectWrappedDek: {},
secretDueAt: '2023-11-07T05:31:56Z',
rotationIntervalDays: 2
})
};
fetch('https://api.airctrl.dev/v1/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"recordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"ok": false,
"error": {
"code": "bad_request",
"message": "Request validation failed",
"details": [
"Check the submitted values."
]
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication is required"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "not_authorized"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "conflict",
"message": "idempotency_key_reused_with_different_params"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "Internal server error"
},
"requestId": "req_example"
}Records
Create an encrypted record
Stores ciphertext and encrypted keys prepared by the client. AIRCTRL does not receive the plaintext secret. Requires records:create.
POST
/
records
Create an encrypted record
Authorizations
Human personal access token (sk-actrl-pat-...).
Body
application/json
Account that owns the project.
Project where the record will be created.
Record name.
Searchable labels.
Client-encrypted secret value.
Client-generated encryption metadata.
Encrypted record key. AIRCTRL stores it without opening it.
Available options:
plain, json, env, password, api_key, database, ssh, certificate, oauth_client, cloud_iam, service_account, webhook, license, totp Optional record key encrypted for the project key.
Optional review or expiration time.
Required range:
x >= 1